# Generate password reset token

Generate a password reset token for a user.
Provide the user's ID as a path parameter. This route does not send the reset password email but returns the reset link and token. It can be used in combination with the routes under **Users Passwords**.
A valid environment token is required to call this endpoint. You can obtain it from the environment authentication route.

Endpoint: POST /resources/users/v1/{userId}/links/generate-password-reset-token
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `userId` (string, required)

## Response 201 fields (application/json):

  - `link` (string, required)

  - `token` (string, required)

  - `userId` (string, required)

